CVE-2019-20395

NameCVE-2019-20395
DescriptionA stack consumption issue is present in libyang before v1.0-r1 due to the self-referential union type containing leafrefs. Applications that use libyang to parse untrusted input yang files may crash.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libyang (PTS)buster0.16.105-1vulnerable
bullseye, sid0.16.105-3vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libyangsource(unstable)(unfixed)

Notes

[buster] - libyang <no-dsa> (Minor issue)
https://bugzilla.redhat.com/show_bug.cgi?id=1793924
https://github.com/CESNET/libyang/commit/4e610ccd87a2ba9413819777d508f71163fcc237
https://github.com/CESNET/libyang/issues/724

Search for package or bug name: Reporting problems